Đến nội dung


Hình ảnh

KHÔNG BIẾT TÊN LỆNH MOVETEXTCENTERRACTANG


  • Please log in to reply
2 replies to this topic

#1 sonha

sonha

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 December 2007 - 08:57 AM

EM CÓ DOWN LISP: MOVETEXT CENTER RECTANG
NHƯNG KHI VÀO TÌM XEM TÊN CỦA LỆNH ĐÓ THÌ SAO TÌM MÃI MÀ KHÔNG THẤY.CÓ AI BIẾT TÊN CỦA LỆNH ĐÓ KHÔNG THÌ CHỈ GIÚP EM VỚI.THANKS!
  • 0

#2 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 Bài viết
Điểm đánh giá: 1308 (rất tốt)

Đã gửi 19 December 2007 - 09:01 AM

;move text 2 center rectang
(defun c:dtt()

(setvar "cmdecho" 0)
(setq OS (getvar "OSMODE"))
(setvar "OSMODE" 32)

(setq P1 (getpoint "\nPick a corner of the rectangle: "))
(setq P2 (getcorner P1 "\nPick opposite corner of the rectangle: "))
(setq A (angle P1 P2))
(setq D (distance P1 P2))
(setq P3 (polar P1 A (/ D 2.0)))

(setq ST (entsel "\nSelect text to center inside rectangle: "))

(while
(= ST nil)
(progn
(prompt "\nText was not selected...")
(setq ST (entsel "\nSelect text to center inside rectangle: "))
)
)

(command "justifytext" ST "" "MC")
(setq TMC (cdr (assoc 11 (entget (car ST)))))
(command "move" ST "" TMC P3)

(setvar "OSMODE" OS)
(princ)

)


Lệnh tắt là dtt
  • 0

#3 be_chanh

be_chanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1712 Bài viết
Điểm đánh giá: 889 (rất tốt)

Đã gửi 19 December 2007 - 09:10 AM

bạn đọc trên lisp có dòng này nè "(defun c:dtt()"
  • 0

t: 097.323.1199 | m: cudstk@gmail.com | w: http://www.aicollect.com